#include "tlc2551.h"

uint16_t tlc2551_ad(void)
{
	uint16_t i		  = 0;
	uint16_t ad_value = 0;

	CS_DOWN;
	for (i = 0;i < 16;i ++) {
		SCLK_UP;
		ad_value >>= 1;	
		delay_us(10);
		SCLK_DOWN;
	 	
		if (SDO == 1) {
			ad_value |= 0x8000;
		}
		delay_us(10);
	}
	CS_UP;
	SCLK_DOWN;
	return ad_value;
}
